StocksAndFisheriesKB - Task #23167

Align docs and code to fix GRSF issues
Apr 12,2022 01:44 PM - Luca Frosini

Status: Closed Start date: Apr 12, 2022
Priority: Normal Due date:

Assignee: Luca Frosini % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Related issues:

Related to StocksAndFisherieskB - Task #23201: Update GRSF CKan labels Closed Apr 22, 2022
Related to StocksAndFisherieskKB - Task #23211: Upgrade the groups with the ne... Closed Apr 26, 2022
Blocks StocksAndFisherieskKB - Feature #21995: GRSF public VRE - change behavi... Closed Sep 13, 2021
History

#1 - Apr 12, 2022 01:44 PM - Luca Frosini
- Blocks Feature #21995: GRSF public VRE - change behavior to access time dependant data added

#2 - Apr 12, 2022 01:46 PM - Luca Frosini
- File GRSF_datacatalogue_reviewAG_ 1Feb2022.docx added

The wiki is available at

https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue for GRSF

@aureliano.gentile@fao.org gentile provides the fixes to apply to docs and code in the attached file

#3 - Apr 12, 2022 03:37 PM - Luca Frosini

- File fde37053-8b46-325d-a4b8-8e3b4 7f0f40b.json added
@aureliano.gentile@fao.org

do you confirm that database_sources is not present anymore?

I think such a field is now source_of_information. | found such a field in some json (please find the attached file) coming from stocks from ram.
| don't find the field in the available records in the catalogue. The record of the JSON example is not present (I think it was merged).

#4 - Apr 12, 2022 03:37 PM - Luca Frosini

- Status changed from In Progress to Paused

#5 - Apr 12, 2022 04:25 PM - Luca Frosini
- % Done changed from 0 to 10

#6 - Apr 13, 2022 10:57 AM - Aureliano Gentile

Thanks @luca.frosini@isti.cnr.it we spoke over Skype and we clarified the pending issues. | remain at disposal should you require more
clarifications.
Looking forward to the final result.

#7 - Apr 13, 2022 03:38 PM - Luca Frosini

- Status changed from Paused to In Progress

#8 - Apr 13, 2022 04:04 PM - Luca Frosini
- % Done changed from 10 to 20
https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue_for_GRSF

The following wiki section has been reviewed:

https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue for GRSF#Base Metadata
https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue for GRSF#Common_Metadata

#9 - Apr 13, 2022 05:57 PM - Luca Frosini

@aureliano.gentile@fao.org do you confirm that "GRSF UUID" must be visualised in "Additional Info" section?

#10 - Apr 13, 2022 06:12 PM - Aureliano Gentile
- File recordinfo.png added

Yes, thanks, | confirm as it is already the case.
If possible | would relabel "Record Info" or equivalent in place of Additional Info. See also attached screenshot. But if too complex, please feel free to
ignore.

#11 - Apr 22, 2022 11:19 AM - Luca Frosini
- % Done changed from 20 to 70

Also, the following sections have been aligned.

https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue_for GRSF#Stock Metadata
https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue for_ GRSF#Fishery Metadata

I'm going o fix the IS configuration according the revision.
#12 - Apr 22, 2022 12:50 PM - Aureliano Gentile
Dear Luca, we further interacted and reviewed the labels. See a summary hereafter.
General rule: please apply Camel Case (except conjunctions e.g. "of the")
Please change the following:
GRSF Semantic identifier => GRSF Semantic Identifier
Stock Name => GRSF Stock Name
Fishery Name => GRSF Fishery Name
Status of the GRSF record => Status of the Record
Assessment Methods => Assessment Method
Catches => Catch
Landings => Landing
Fao categories => FAO Stock Status Category
spatial => Geospatial
system:type => Type
Fishing area => Fishing Area
Fishing gear => Fishing Gear
Management Body/Authority(ies) => Management Body/Authority
#13 - Apr 22, 2022 12:57 PM - Luca Frosini
Aureliano Gentile wrote in #note-10:
Yes, thanks, | confirm as it is already the case.
If possible | would relabel "Record Info" or equivalent in place of Additional Info. See also attached screenshot. But if too complex, please feel
free to ignore.
Aureliano Gentile wrote in #note-12:

system:type => Type
https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue_for_GRSF#Base_Metadata
https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue_for_GRSF#Common_Metadata
https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue_for_GRSF#Stock_Metadata
https://wiki.gcube-system.org/gcube/GCube_Data_Catalogue_for_GRSF#Fishery_Metadata

Please open a ticket to @francesco.mangiacrapa@isti.cnr.it for these requests. It should be a matter of the CKAN template

#14 - Apr 22, 2022 02:37 PM - Luca Frosini
- Related to Task #23201: Update GRSF CKan labels added

#15 - Apr 22, 2022 04:49 PM - Luca Frosini
- % Done changed from 70 to 90

The very last check and the code and the mappings are ready.
Then, we will open a release for such a component.

#16 - Apr 22, 2022 06:45 PM - Luca Frosini
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#17 - Apr 26, 2022 03:11 PM - Luca Frosini
- Related to Task #23211: Upgrade the groups with the new Name-URLs added

Files

GRSF_datacatalogue_reviewAG_1Feb2022.docx 25.3 KB Apr 12, 2022 Luca Frosini
fde37053-8b46-325d-a4b8-8e3b47f0f40b.json 13.7 KB Apr 12, 2022 Luca Frosini
recordinfo.png 87.1 KB Apr 13, 2022 Aureliano Gentile
